<?php
// Version: 1.1; index

/*	This template is, perhaps, the most important template in the theme. It
	contains the main template layer that displays the header and footer of
	the forum, namely with main_above and main_below. It also contains the
	menu sub template, which appropriately displays the menu; the init sub
	template, which is there to set the theme up; (init can be missing.) and
	the linktree sub template, which sorts out the link tree.

	The init sub template should load any data and set any hardcoded options.

	The main_above sub template is what is shown above the main content, and
	should contain anything that should be shown up there.

	The main_below sub template, conversely, is shown after the main content.
	It should probably contain the copyright statement and some other things.

	The linktree sub template should display the link tree, using the data
	in the $context['linktree'] variable.

	The menu sub template should display all the relevant buttons the user
	wants and or needs.

	For more information on the templating system, please see the site at:
	http://www.simplemachines.org/
*/

// Initialize the template... mainly little settings.
function template_init()
{
	global $context, $settings, $options, $txt;

	/* Use images from default theme when using templates from the default theme?
		if this is 'always', images from the default theme will be used.
		if this is 'defaults', images from the default theme will only be used with default templates.
		if this is 'never' or isn't set at all, images from the default theme will not be used. */
	$settings['use_default_images'] = 'never';

	/* What document type definition is being used? (for font size and other issues.)
		'xhtml' for an XHTML 1.0 document type definition.
		'html' for an HTML 4.01 document type definition. */
	$settings['doctype'] = 'xhtml';

	/* The version this template/theme is for.
		This should probably be the version of SMF it was created for. */
	$settings['theme_version'] = '1.1';

		  /* Load theme strings */
		  loadLanguage('ThemeStrings');

	/* Set a setting that tells the theme that it can render the tabs. */
	$settings['use_tabs'] = true;

	/* Use plain buttons - as oppossed to text buttons? */
	$settings['use_buttons'] = true;

	/* Show sticky and lock status seperate from topic icons? */
	$settings['seperate_sticky_lock'] = true;
}

	 if (@$_REQUEST['action'] == 'contact')

		$settings['catch_action'] = array('sub_template' => 'action_wrap', 'template' => 'contact');

// The main sub template above the content.
function template_main_above()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	// Show right to left and the character set for ease of translating.
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '><head>
	<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
	<meta name="description" content="', $context['page_title'], '" />', empty($context['robot_no_index']) ? '' : '
	<meta name="robots" content="noindex" />', '
	<meta name="keywords" content="PHP, MySQL, bulletin, board, free, open, source, smf, simple, machines, forum" />
	<script language="JavaScript" type="text/javascript" src="', $settings['theme_url'], '/menu.js?fin11"></script>
		  <script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/script.js?fin11"></script>
	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
		var smf_theme_url = "', $settings['theme_url'], '";
		var smf_images_url = "', $settings['images_url'], '";
		var smf_scripturl = "', $scripturl, '";
		var smf_iso_case_folding = ', $context['server']['iso_case_folding'] ? 'true' : 'false', ';
		var smf_charset = "', $context['character_set'], '";
	// ]]></script>
	<title>', $context['page_title'], '</title>';

	// The ?fin11 part of this link is just here to make sure browsers don't cache it wrongly.
	echo '
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/style.css?fin11" />
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/menu.css?fin11" />
	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/print.css?fin11" media="print" />';

	/* Internet Explorer 4/5 and Opera 6 just don't do font sizes properly. (they are big...)
		Thus, in Internet Explorer 4, 5, and Opera 6 this will show fonts one size smaller than usual.
		Note that this is affected by whether IE 6 is in standards compliance mode.. if not, it will also be big.
		Standards compliance mode happens when you use xhtml... */
	if ($context['browser']['needs_size_fix'])
		echo '
	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/fonts-compat.css" />';

	// Show all the relative links, such as help, search, contents, and the like.
	echo '
	<link rel="help" href="', $scripturl, '?action=help" target="_blank" />
	<link rel="search" href="' . $scripturl . '?action=search" />
	<link rel="contents" href="', $scripturl, '" />';

	// If RSS feeds are enabled, advertise the presence of one.
	if (!empty($modSettings['xmlnews_enable']))
		echo '
	<link rel="alternate" type="application/rss+xml" title="', $context['forum_name'], ' - RSS" href="', $scripturl, '?type=rss;action=.xml" />';

	// If we're viewing a topic, these should be the previous and next topics, respectively.
	if (!empty($context['current_topic']))
		echo '
	<link rel="prev" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=prev" />
	<link rel="next" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=next" />';

	// If we're in a board, or a topic for that matter, the index will be the board's index.
	if (!empty($context['current_board']))
		echo '
	<link rel="index" href="' . $scripturl . '?board=' . $context['current_board'] . '.0" />';

	// We'll have to use the cookie to remember the header...
	if ($context['user']['is_guest'])
		$options['collapse_header'] = !empty($_COOKIE['upshrink']);

	// Output any remaining HTML headers. (from mods, maybe?)
	echo $context['html_headers'], '

	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
		var current_header = ', empty($options['collapse_header']) ? 'false' : 'true', ';

		function shrinkHeader(mode)
		{';

	// Guests don't have theme options!!
	if ($context['user']['is_guest'])
		echo '
			document.cookie = "upshrink=" + (mode ? 1 : 0);';
	else
		echo '
			smf_setThemeOption("collapse_header", mode ? 1 : 0, null, "', $context['session_id'], '");';

	echo '
			document.getElementById("upshrink").src = smf_images_url + (mode ? "/upshrink2.gif" : "/upshrink.gif");

			document.getElementById("upshrinkHeader").style.display = mode ? "none" : "";
			document.getElementById("upshrinkHeader2").style.display = mode ? "none" : "";

			current_header = mode;
		}
	// ]]></script>';

	// the routine for the info center upshrink
	echo '
		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
			var current_header_ic = ', empty($options['collapse_header_ic']) ? 'false' : 'true', ';

			function shrinkHeaderIC(mode)
			{';

	if ($context['user']['is_guest'])
		echo '
				document.cookie = "upshrinkIC=" + (mode ? 1 : 0);';
	else
		echo '
				smf_setThemeOption("collapse_header_ic", mode ? 1 : 0, null, "', $context['session_id'], '");';

	echo '
				document.getElementById("upshrink_ic").src = smf_images_url + (mode ? "/expand.gif" : "/collapse.gif");

				document.getElementById("upshrinkHeaderIC").style.display = mode ? "none" : "";

				current_header_ic = mode;
			}
		// ]]></script>
</head>
<body>'; 
// Begin The logo and menu.

	echo '
<table width="744" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr>
	 <td width="70" height="30" align="left" valign="top"><img src="' . $settings['images_url'] . '/top_left.gif" width="70" height="30" alt="" border="0" /></td>
	 <td width="100%" style="background-image:url(' . $settings['images_url'] . '/top.gif)" align="center" valign="middle"></td>
	 <td width="70" height="30" align="right" valign="top"><img src="' . $settings['images_url'] . '/top_right.gif" width="70" height="30" alt="" border="0" /></td>
  </tr>
</table>


<table cellspacing="0" cellpadding="0" border="0" align="center" width="720">
	<tr>
	  <td width="10" class="tborder" style="border-width: 1px 0 1px 1px; background-image:url(' . $settings['images_url'] . '/side_bar_left.gif)"><img src="', $settings['images_url'], '/side_bar_left.gif" alt="" /></td>
	  <td width="100%">


<table cellspacing="0" cellpadding="0" border="0" align="center" width="100%">
	<tr>
	  <td class="tborder" style="border-width: 1px 1px 1px 1px;" align="center" valign="top"><a href=""><img border="0" src="' . $settings['images_url'] . '/header.gif" alt="" /></a></td>
	</tr><tr class="catbg">
	  <td valign="middle" height="20" class="tborder" style="border-width: 0 1px 1px 1px;" align="center">';
	template_menu();
	echo '
	  </td>
	</tr>';



// End The logo and menu.
	echo '


	<tr class="windowbg2">
		<td valign="top" class="tborder" style="padding:5px; border-width: 0 1px 0 1px;">';



	// The main content should go here.
	echo '
<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr class="windowbg3">
	  <td colspan="3" class="tborder" style="border-width: 1px;">

	<table cellspacing="0" cellpadding="0" border="0" align="center" width="100%">
		<tr><td valign="top" style="padding:5px;">';

}

function template_main_below()
{
	global $context, $settings, $options, $scripturl, $txt;

	echo '
		</td>
		</tr>
	</table>';

echo '
	  </td>
	</tr>
</table>';

	// Show the "Powered by" and "Valid" logos, as well as the copyright. Remember, the copyright must be somewhere!
	echo '

		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
			function smfFooterHighlight(element, value)
			{
				element.src = smf_images_url + "/" + (value ? "h_" : "") + element.id + ".gif";
			}
		// ]]></script>
		<table cellspacing="0" cellpadding="3" border="0" align="left" width="100%">
			<tr>
				<td align="left">
					', theme_copyright(), '
				</td>
				<td align="right">
					<a href="http://www.mysql.com/" target="_blank">' . $txt['mysql'] . '</a>&nbsp;|&nbsp;<a href="http://www.php.net/" target="_blank">' . $txt['php'] . '</a>&nbsp;|&nbsp;<a href="http://validator.w3.org/check/referer" target="_blank">' . $txt['xhtml'] . '</a>&nbsp;|&nbsp;<a href="http://jigsaw.w3.org/css-validator/check/referer" target="_blank">' . $txt['css'] . '</a>
				</td>
			</tr>
		</table>';

		// Show the load time?
	if ($context['show_load_time'])
		echo '
		<span class="smalltext">', $txt['smf301'], $context['load_time'], $txt['smf302'], $context['load_queries'], $txt['smf302b'], '</span>';

	// This is an interesting bug in Internet Explorer AND Safari. Rather annoying, it makes overflows just not tall enough.
	if (($context['browser']['is_ie'] && !$context['browser']['is_ie4']) || $context['browser']['is_mac_ie'] || $context['browser']['is_safari'] || $context['browser']['is_firefox'])
	{
		// The purpose of this code is to fix the height of overflow: auto div blocks, because IE can't figure it out for itself.
		echo '
		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[';

		// Unfortunately, Safari does not have a "getComputedStyle" implementation yet, so we have to just do it to code...
		if ($context['browser']['is_safari'])
			echo '
			window.addEventListener("load", smf_codeFix, false);

			function smf_codeFix()
			{
				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");

				for (var i = 0; i < codeFix.length; i++)
				{
					if ((codeFix[i].className == "code" || codeFix[i].className == "post" || codeFix[i].className == "signature") && codeFix[i].offsetHeight < 20)
						codeFix[i].style.height = (codeFix[i].offsetHeight + 20) + "px";
				}
			}';
		elseif ($context['browser']['is_firefox'])
			echo '
			window.addEventListener("load", smf_codeFix, false);
			function smf_codeFix()
			{
				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");

				for (var i = 0; i < codeFix.length; i++)
				{
					if (codeFix[i].className == "code" && (codeFix[i].scrollWidth > codeFix[i].clientWidth || codeFix[i].clientWidth == 0))
						codeFix[i].style.overflow = "scroll";
				}
			}';			
		else
			echo '
			var window_oldOnload = window.onload;
			window.onload = smf_codeFix;

			function smf_codeFix()
			{
				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");

				for (var i = codeFix.length - 1; i > 0; i--)
				{
					if (codeFix[i].currentStyle.overflow == "auto" && (codeFix[i].currentStyle.height == "" || codeFix[i].currentStyle.height == "auto") && (codeFix[i].scrollWidth > codeFix[i].clientWidth || codeFix[i].clientWidth == 0) && (codeFix[i].offsetHeight != 0 || codeFix[i].className == "code"))
						codeFix[i].style.height = (codeFix[i].offsetHeight + 36) + "px";
				}

				if (window_oldOnload)
				{
					window_oldOnload();
					window_oldOnload = null;
				}
			}';

		echo '
		// ]]></script>';
	}

	// The following will be used to let the user know that some AJAX process is running
	echo '
	<div id="ajax_in_progress" style="display: none;', $context['browser']['is_ie'] && !$context['browser']['is_ie7'] ? 'position: absolute;' : '', '">', $txt['ajax_in_progress'], '</div>



</td>
</tr>
<tr class="catbg">
<td class="tborder" height="26" width="100%" style="border-width: 1px;">


<table cellspacing="0" cellpadding="0" width="100%" border="0" align="right">
	<tr class="catbg">
	  <td width="4%" class="tborder" height="26" style="padding: 0 10px 0 10px; border-width: 0 1px 0 0; cursor: pointer; font-size: 10px;" align="center" onmouseover="this.style.background=\'url(' . $settings['images_url'] . '/hover_menu.gif)\'" onmouseout="this.style.background=\'url(' . $settings['images_url'] . '/catbg.gif)\'"><b><a href="#">Top</a></b></td>
	  <td width="81%" align="center"></td>
	  <td width="22%" class="tborder" height="26" style="padding: 0 10px 0 10px; border-width: 0 0 0 1px; cursor: pointer; font-size: 10px;" align="center" onmouseover="this.style.background=\'url(' . $settings['images_url'] . '/hover_menu.gif)\'" onmouseout="this.style.background=\'url(' . $settings['images_url'] . '/catbg.gif)\'"><b><a href="http://www.titaniumwg.com" target="_blank">tWG&nbsp;V2&nbsp;Theme&nbsp;By&nbsp;titaniumWG.com</a></b></td>
	</tr>
</table>


</td></tr>
</table>';

	// And then we're done!
	echo '

	  </td>
	  <td width="10%" class="tborder" align="right" style="border-width: 1px 1px 1px 0; background-image:url(' . $settings['images_url'] . '/side_bar_right.gif)"><img src="' . $settings['images_url'] . '/side_bar_right.gif" alt="" border="0" /></td>
	</tr>
</table>
<table width="744" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr>
	 <td width="70" height="30" align="left" valign="top"><img src="' . $settings['images_url'] . '/bottom_left.gif" width="70" height="30" alt="" border="0" /></td>
	 <td width="100%" style="background-image:url(' . $settings['images_url'] . '/bottom.gif)" align="center" valign="middle"></td>
	 <td width="70" height="30" align="right" valign="top"><img src="' . $settings['images_url'] . '/bottom_right.gif" width="70" height="30" alt="" border="0" /></td>  </tr>
</table>

</body></html>';
}

// Show a linktree.  This is that thing that shows "My Community | General Category | General Discussion"..
function theme_linktree()
{
	global $context, $settings, $options;

	// Folder style or inline?  Inline has a smaller font.
	echo '<span class="nav"', $settings['linktree_inline'] ? ' ' : '', '>';

	// Each tree item has a URL and name.  Some may have extra_before and extra_after.
	foreach ($context['linktree'] as $link_num => $tree)
	{
		// Show the | | |-[] Folders.
		if (!$settings['linktree_inline'])
		{
			if ($link_num > 0)
				echo str_repeat('<img src="' . $settings['images_url'] . '/icons/linktree_main.gif" alt="| " border="0" />', $link_num - 1), '<img src="' . $settings['images_url'] . '/icons/linktree_side.gif" alt="|-" border="0" />';
			echo '<img src="' . $settings['images_url'] . '/icons/folder_open.gif" alt="+" border="0" /> ';
		}

		// Show something before the link?
		if (isset($tree['extra_before']))
			echo $tree['extra_before'];

		// Show the link, including a URL if it should have one.
		echo '<b>', $settings['linktree_link'] && isset($tree['url']) ? '<a href="' . $tree['url'] . '" class="nav">' . $tree['name'] . '</a>' : $tree['name'], '</b>';

		// Show something after the link...?
		if (isset($tree['extra_after']))
			echo $tree['extra_after'];

		// Don't show a separator for the last one.
		if ($link_num != count($context['linktree']) - 1)
			echo $settings['linktree_inline'] ? ' | ' : '<br />';
	}

	echo '</span>';
}

// Show the menu up top. Something like [home] [help] [profile] [logout]...
function template_menu()
{
	global $context, $settings, $options, $scripturl, $txt;

echo '<table cellspacing="0" cellpadding="0" border="0"><tr class="catbg">';



	// Show the [home] and [help] buttons.
		  echo '
		<td onclick="parent.location=\'', $scripturl, '\'" class="tborder" height="28" style="padding: 0 10px 0 10px; border-width: 0 1px 0 1px; cursor: pointer; font-size: 10px;" align="center" onmouseover="this.style.background=\'url(' . $settings['images_url'] . '/hover_menu.gif)\'" onmouseout="this.style.background=\'url(' . $settings['images_url'] . '/catbg.gif)\'"><b><a href="', $scripturl, '">' . $txt[103] . '</a></b></td>
		<td onclick="parent.location=\'', $scripturl, '?action=help\'" class="tborder" height="28" style="padding: 0 10px 0 10px; border-width: 0 1px 0 0; cursor: pointer; font-size: 10px;" align="center" onmouseover="this.style.background=\'url(' . $settings['images_url'] . '/hover_menu.gif)\'" onmouseout="this.style.background=\'url(' . $settings['images_url'] . '/catbg.gif)\'"><b><a href="', $scripturl, '?action=help">' . $txt[119] . '</a></b></td>';


	// How about the [search] button?
	if ($context['allow_search'])
		echo '
		<td onclick="parent.location=\'', $scripturl, '?action=search\'" class="tborder" height="28" style="padding: 0 10px 0 10px; border-width: 0 1px 0 0; cursor: pointer; font-size: 10px;" align="center" onmouseover="this.style.background=\'url(' . $settings['images_url'] . '/hover_menu.gif)\'" onmouseout="this.style.background=\'url(' . $settings['images_url'] . '/catbg.gif)\'"><b><a href="', $scripturl, '?action=search">' . $txt[182] . '</a></b></td>';


	// Is the user allowed to administrate at all? ([admin])
	if ($context['allow_admin'])
		echo '
		<td onclick="parent.location=\'', $scripturl, '?action=admin\'" class="tborder" height="28" style="padding: 0 10px 0 10px; border-width: 0 1px 0 0; cursor: pointer; font-size: 10px;" align="center" onmouseover="this.style.background=\'url(' . $settings['images_url'] . '/hover_menu.gif)\'" onmouseout="this.style.background=\'url(' . $settings['images_url'] . '/catbg.gif)\'"><b><a href="', $scripturl, '?action=admin">' . $txt[2] . '</a></b></td>';


	// Edit Profile... [profile]
	if ($context['allow_edit_profile'])
		echo '
		<td onclick="parent.location=\'', $scripturl, '?action=profile\'" class="tborder" height="28" style="padding: 0 10px 0 10px; border-width: 0 1px 0 0; cursor: pointer; font-size: 10px;" align="center" onmouseover="this.style.background=\'url(' . $settings['images_url'] . '/hover_menu.gif)\'" onmouseout="this.style.background=\'url(' . $settings['images_url'] . '/catbg.gif)\'"><b><a href="', $scripturl, '?action=profile">' . $txt[467] . '</a></b></td>';


	// The [calendar]!
	if ($context['allow_calendar'])
		echo '
		<td onclick="parent.location=\'', $scripturl, '?action=calendar\'" class="tborder" height="28" style="padding: 0 10px 0 10px; border-width: 0 1px 0 0; cursor: pointer; font-size: 10px;" align="center" onmouseover="this.style.background=\'url(' . $settings['images_url'] . '/hover_menu.gif)\'" onmouseout="this.style.background=\'url(' . $settings['images_url'] . '/catbg.gif)\'"><b><a href="', $scripturl, '?action=calendar">' . $txt['calendar24'] . '</a></b></td>';


		echo '
		<td onclick="parent.location=\'', $scripturl, '?action=mlist\'" class="tborder" height="28" style="padding: 0 10px 0 10px; border-width: 0 1px 0 0; cursor: pointer; font-size: 10px;" align="center" onmouseover="this.style.background=\'url(' . $settings['images_url'] . '/hover_menu.gif)\'" onmouseout="this.style.background=\'url(' . $settings['images_url'] . '/catbg.gif)\'"><b><a href="', $scripturl, '?action=mlist">' . $txt[19] . '</a></b></td>';

	// If the user is a guest, show [login] and [register] buttons.
	if ($context['user']['is_guest'])
	{
		echo '
		<td onclick="parent.location=\'', $scripturl, '?action=login\'" class="tborder" height="28" style="padding: 0 10px 0 10px; border-width: 0 1px 0 0; cursor: pointer; font-size: 10px;" align="center" onmouseover="this.style.background=\'url(' . $settings['images_url'] . '/hover_menu.gif)\'" onmouseout="this.style.background=\'url(' . $settings['images_url'] . '/catbg.gif)\'"><b><a href="', $scripturl, '?action=login">' . $txt[34] . '</a></b></td>
		<td onclick="parent.location=\'', $scripturl, '?action=register\'" class="tborder" height="28" style="padding: 0 10px 0 10px; border-width: 0 1px 0 0; cursor: pointer; font-size: 10px;" align="center" onmouseover="this.style.background=\'url(' . $settings['images_url'] . '/hover_menu.gif)\'" onmouseout="this.style.background=\'url(' . $settings['images_url'] . '/catbg.gif)\'"><b><a href="', $scripturl, '?action=register">' . $txt[97] . '</a></b></td>';
	}

	// Otherwise, they might want to [logout]...
	else
		echo '
		<td onclick="parent.location=\'', $scripturl, '?action=logout;sesc=', $context['session_id'], '\'" class="tborder" height="28" style="padding: 0 10px 0 10px; border-width: 0 1px 0 0; cursor: pointer; font-size: 10px;" align="center" onmouseover="this.style.background=\'url(' . $settings['images_url'] . '/hover_menu.gif)\'" onmouseout="this.style.background=\'url(' . $settings['images_url'] . '/catbg.gif)\'"><b><a href="', $scripturl, '?action=logout;sesc=', $context['session_id'], '" onclick="return confirm(\'' . $txt['comfirm_logout'] . '\')">' . $txt[108] . '</a></b></td>';


echo '</tr></table>';

}

// Generate a strip of buttons.
function template_button_strip($button_strip, $direction = 'top', $force_reset = false, $custom_td = '')
{
	global $settings, $buttons, $context, $txt, $scripturl;

	// Create the buttons...
	foreach ($button_strip as $key => $value)
	{
		if (isset($value['test']) && empty($context[$value['test']]))
		{
			unset($button_strip[$key]);
			continue;
		}
		elseif (!isset($buttons[$key]) || $force_reset)
			$buttons[$key] = '<a href="' . $value['url'] . '" ' .( isset($value['custom']) ? $value['custom'] : '') . '>' . $txt[$value['text']] . '</a>';

		$button_strip[$key] = $buttons[$key];
	}

	if (empty($button_strip))
		return '<td>&nbsp;</td>';

	echo '
		<td class="', $direction == 'top' ? 'main' : 'mirror', 'tab_' , $context['right_to_left'] ? 'last' : 'first' , '">&nbsp;</td>
		<td class="', $direction == 'top' ? 'main' : 'mirror', 'tab_back">', implode(' &nbsp;|&nbsp; ', $button_strip) , '</td>
		<td class="', $direction == 'top' ? 'main' : 'mirror', 'tab_' , $context['right_to_left'] ? 'first' : 'last' , '">&nbsp;</td>';
}

?>